Import value list items
- Base URL
-
https://{kibana_url}
- POST /api/lists/items/_import
- POST /s/{space_id}/api/lists/items/_import
Refer to Spaces for more information.
Import value list items from a TXT or CSV file. The maximum file size is 9 million bytes.
You can import items to a new or existing list.
Query parameters
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
Invalid input data response
One of:
Unsuccessful authentication response
Not enough privileges response
List with specified list_id does not exist response